package com.yinet.wx.service;

import com.alibaba.fastjson.JSONObject;
import com.yinet.wx.domain.WxCache;

import java.io.IOException;
import java.util.Map;

/**
 * 网上预约列表Service接口
 *
 * @author yinet
 * @date 2019-09-02
 */
public interface WxService {
    WxCache getWxCache();

    int updateWxCache(WxCache accessToken);

    Map<String, String> sign(String url) throws IOException;

    JSONObject getOpenIdByCode(String code);

    WxCache getToken() throws IOException;

    WxCache getJsTicket() throws IOException;
}
